[+
do {
$req = shift;
$output .= "";
$pwd = $req->component->cwd;
foreach $name (sort glob($pwd."/sponsors/logos/*") ) {
$name =~ /[0-9]{2}_(.*).[a-z]{3}/;
$url = $1;
$url =~ s/\+/\//g;
$name =~ s/$pwd//;
$output .= "<a href='http://$url'><img src='$name' alt='Sponsor Logo'/></a><br />&nbsp;<br />";
}
$foo = $output;
}
+]
